package com.xzzn.ems.service;

import java.util.List;
import com.xzzn.ems.domain.EmsStrategy;
import com.xzzn.ems.domain.EmsStrategyRunning;
import com.xzzn.ems.domain.vo.StrategyRunningVo;


/**
 * 策略Service接口
 *
 * @author xzzn
 * @date 2025-07-10
 */
public interface IEmsStrategyService
{
    // 获取策略运行列表
    public List<StrategyRunningVo> selectEmsStrategyRunningList(String siteId);

    // 停止策略
    public int stopRunningStrategy(Long id);

    // 获取主策略
    public List<EmsStrategy> getMainStrategyList();

    // 获取辅助策略
    public List<EmsStrategy> getAuxStrategyList();

    public int configStrategy(EmsStrategyRunning emsStrategyRunning);

    // 接收云上运行策略配置
    public void dealStrategyRunningData(String content, String operateType);
}
